out_pid Class Reference

`#include <out_pid.h>`

Inheritance diagram for out_pid:

## Public Member Functions

| out_pid (Item *_item)
int | Setup () override
| Remove?? Now getChanType used instead. More...
int | Poll (short cause) override
int | Stop () override
int | Status () override
int | isActive () override
int | getChanType () override
int | getDefaultStorageType ()
int | Ctrl (itemCmd cmd, char *subItem=NULL, bool toExecute=true) override
| Control unified PID controller item More...
void | alarm (bool)
Public Member Functions inherited from abstractOut
| abstractOut (Item *_item)
virtual itemCmd | getDefaultOnVal ()
Public Member Functions inherited from abstractCh
| abstractCh ()
virtual | ~abstractCh ()
virtual int | Anounce ()

## Protected Member Functions

bool | getConfig ()
Protected Member Functions inherited from abstractCh
virtual int | publishTopic (const char *topic, long value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, float value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, const char *value, const char *subtopic=NULL)

## Protected Attributes

pidPersistent * | store
Protected Attributes inherited from abstractOut
Item * | item

## Constructor & Destructor Documentation

## out_pid()

out_pid::out_pid | ( | Item * | _item | ) |

inline

## Member Function Documentation

## alarm()

void out_pid::alarm | ( | bool | state | ) |

## Ctrl()

int out_pid::Ctrl | ( | itemCmd | cmd,
|  | char * | subItem = `NULL`,
|  | bool | toExecute = `true`
| ) |  |

overridevirtual

Control unified PID controller item

Implements abstractOut.

## getChanType()

int out_pid::getChanType | ( |  | ) |

overridevirtual

Reimplemented from abstractOut.

## getConfig()

bool out_pid::getConfig | ( |  | ) |

protected

## getDefaultStorageType()

int out_pid::getDefaultStorageType | ( |  | ) |

inlinevirtual

Reimplemented from abstractOut.

## isActive()

int out_pid::isActive | ( |  | ) |

overridevirtual

Reimplemented from abstractOut.

## Poll()

int out_pid::Poll | ( | short | cause | ) |

overridevirtual

Implements abstractCh.

## Setup()

int out_pid::Setup | ( |  | ) |

overridevirtual

Remove?? Now getChanType used instead.

Reimplemented from abstractOut.

## Status()

int out_pid::Status | ( |  | ) |

overridevirtual

Reimplemented from abstractCh.

## Stop()

int out_pid::Stop | ( |  | ) |

overridevirtual

Reimplemented from abstractCh.

## Member Data Documentation

## store

pidPersistent* out_pid::store

protected

The documentation for this class was generated from the following files:

- modules/out_pid.h
- modules/out_pid.cpp